<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:template match="/">
        <departments>
            <xsl:apply-templates select="/department/record[parent = '']"/>
        </departments>
    </xsl:template>

    <xsl:template match="record">
        <department name="{name}" id="{id}">
            <xsl:choose>
                <xsl:when test="/department/record[parent = current()/id]">
                    <xsl:apply-templates select="/department/record[parent = current()/id]"/>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:value-of select="name"/>
                </xsl:otherwise>
            </xsl:choose>
        </department>
    </xsl:template>
</xsl:stylesheet>
