<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:template match="/">
        <departments xmlns="">
            <xsl:apply-templates select="/sql_result/statement/record" />
        </departments>
    </xsl:template>
    <xsl:template match="record">
        <department id="{id}" name="{name}" xmlns="">
            <xsl:choose>
                <xsl:when test="sql_result/statement/record">
                    <xsl:apply-templates select="sql_result/statement/record" />
                </xsl:when>
                <xsl:otherwise>
                    <xsl:value-of select="name" />
                </xsl:otherwise>
            </xsl:choose>
        </department>
    </xsl:template>
</xsl:stylesheet>
