<?xml version="1.0" encoding="UTF-8"?>
<out:stylesheet exclude-result-prefixes="fm" version="1.0" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:out="http://www.w3.org/1999/XSL/Transform">
	<!--Some information has been retained from the existing file!-->
	<out:import href="demo_skin.xsl" />
	<out:output encoding="UTF-8" indent="yes" method="xml" />
	<out:template name="section_title">FirstTree</out:template>
	<out:template name="page_meta_tags">
		<!--Insert any required page specific meta tags in here-->
	</out:template>
	<out:template name="css_imports">
		<link href="css/webmaker_layout.css" rel="stylesheet" type="text/css" xmlns="" />
		<out:text disable-output-escaping="yes">&lt;!--[if lte IE 7]&gt;</out:text>
		<link href="css/webmaker_layout_ie_6_7.css" rel="stylesheet" type="text/css" xmlns="" />
		<out:text disable-output-escaping="yes">&lt;![endif]--&gt;</out:text>
		<link href="css/demo.css" rel="stylesheet" type="text/css" xmlns="" />
		<link href="css/treeview.css" rel="stylesheet" type="text/css" xmlns="" />
	</out:template>
	<out:template name="page_scripts">
		<script src="js/treeview.js" type="text/javascript" xmlns=""></script>
	</out:template>
	<out:template name="section_body">
<xform:xform xmlns:xform="http://www.w3.org/2001/08/xforms" xmlns="" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc" >		<xform:instance xmlns:xform="http://www.w3.org/2001/08/xforms">
			<eForm xmlns="http://www.hyfinity.com/mvc" xmlns:mvc="http://www.hyfinity.com/mvc">
				<Control>
					<Page />
					<Controller />
				</Control>
				<Data>
					<formData>
						<tree_data_context />
						<selected_tree_item />
					</formData>
				</Data>
			</eForm>
		</xform:instance>
		<div class="form" xmlns="">
			<form action="process.do" method="post" name="TreeDisplay">
				<out:if test="/mvc:eForm/mvc:Control/mvc:Language != ''">
					<input name="Language" type="hidden" value="{/mvc:eForm/mvc:Control/mvc:Language}" />
				</out:if>
				<input name="is_script_enabled" type="hidden" value="false" />
				<script type="text/javascript">
					<out:text>document.TreeDisplay</out:text>
					<out:text>.is_script_enabled.value = 'true';</out:text>
				</script>
				<div class="container expandWidth fitHeight  alignLeft alignTop" id="tree_container_2">
					<div class="alignLeft alignMiddle  expandWidth groupLabelInside groupLabelBackground" id="tree_container_2_label_container">
						<h2 class="label " id="tree_container_2_label">Tree</h2>
					</div>
					<div class="repeat" id="tree_data_context">
						<out:for-each select="/mvc:eForm/mvc:Data/departments">
							<out:variable name="tree_data_contextLoopEntry" select="." />
							<out:variable name="tree_data_contextLoopCount">
								<out:text>tree_data_context</out:text>
								<out:value-of select="position()" />
							</out:variable>
							<out:variable name="tree_data_context-repeat-position-number">
								<out:value-of select="position()" />
							</out:variable>
							<!-- Tree Level 1 -->
							<ul class="treeviewTop">
								<xsl:for-each select="*" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
									<li class="sibling">
										<xsl:if test="position()=last()">
											<xsl:attribute name="class">final-sibling</xsl:attribute>
										</xsl:if>
										<span class="node-collapsible" id="{generate-id()}">
											<xsl:choose>
												<xsl:when test="*">
													<xsl:attribute name="onclick">treeItemClicked(this);</xsl:attribute>
													<!--<xsl:value-of select="@name"/>-->
													<xsl:value-of select="concat(@name, local-name(self::node()[not(@name)]))" />
												</xsl:when>
												<xsl:otherwise>
													<xsl:attribute name="class">leaf</xsl:attribute>
													<a href="#" onclick="return setSelectedLeaf(event, this, '{.}');">
														<xsl:value-of select="concat(@name, self::node()[not(@name)])" />
													</a>
												</xsl:otherwise>
											</xsl:choose>
										</span>
										<xsl:if test="*">
											<!-- Tree Level 2 -->
											<ul id="{generate-id()}_content">
												<xsl:for-each select="*">
													<li class="sibling">
														<xsl:if test="position()=last()">
															<xsl:attribute name="class">final-sibling</xsl:attribute>
														</xsl:if>
														<span class="node-collapsible" id="{generate-id()}">
															<xsl:choose>
																<xsl:when test="*">
																	<xsl:attribute name="onclick">treeItemClicked(this);</xsl:attribute>
																	<xsl:value-of select="concat(@name, local-name(self::node()[not(@name)]))" />
																</xsl:when>
																<xsl:otherwise>
																	<xsl:attribute name="class">leaf</xsl:attribute>
																	<a href="#" onclick="return setSelectedLeaf(event, this, '{.}');">
																		<xsl:value-of select="concat(@name, self::node()[not(@name)])" />
																	</a>
																</xsl:otherwise>
															</xsl:choose>
														</span>
														<xsl:if test="*">
															<!-- Tree Level 3 -->
															<ul id="{generate-id()}_content">
																<xsl:for-each select="*">
																	<li class="sibling">
																		<xsl:if test="position()=last()">
																			<xsl:attribute name="class">final-sibling</xsl:attribute>
																		</xsl:if>
																		<span class="node-collapsible" id="{generate-id()}">
																			<xsl:choose>
																				<xsl:when test="*">
																					<xsl:attribute name="onclick">treeItemClicked(this);</xsl:attribute>
																					<xsl:value-of select="concat(@name, local-name(self::node()[not(@name)]))" />
																				</xsl:when>
																				<xsl:otherwise>
																					<xsl:attribute name="class">leaf</xsl:attribute>
																					<a href="#" onclick="return setSelectedLeaf(event, this, '{.}');">
																						<xsl:value-of select="concat(@name, self::node()[not(@name)])" />
																					</a>
																				</xsl:otherwise>
																			</xsl:choose>
																		</span>
																		<xsl:if test="*">
																			<!-- Tree Level 4 -->
																			<ul id="{generate-id()}_content">
																				<xsl:for-each select="*">
																					<li class="sibling">
																						<xsl:if test="position()=last()">
																							<xsl:attribute name="class">final-sibling</xsl:attribute>
																						</xsl:if>
																						<span class="node-collapsible" id="{generate-id()}">
																							<xsl:choose>
																								<xsl:when test="*">
																									<xsl:attribute name="onclick">treeItemClicked(this);</xsl:attribute>
																									<xsl:value-of select="concat(@name, local-name(self::node()[not(@name)]))" />
																								</xsl:when>
																								<xsl:otherwise>
																									<xsl:attribute name="class">leaf</xsl:attribute>
																									<a href="#" onclick="return setSelectedLeaf(event, this, '{.}');">
																										<xsl:value-of select="concat(@name, self::node()[not(@name)])" />
																									</a>
																								</xsl:otherwise>
																							</xsl:choose>
																						</span>
																						<xsl:if test="*">
																							<!-- Tree Level 5. To add extra levels replace UL contents immediately below (last level) with a copy of the UL contents immediately above -->
																							<ul id="{generate-id()}_content">
																								<xsl:for-each select="*">
																									<li class="sibling">
																										<xsl:if test="position()=last()">
																											<xsl:attribute name="class">final-sibling</xsl:attribute>
																										</xsl:if>
																										<span class="leaf">
																											<a href="#" onclick="return setSelectedLeaf(event, this, '{.}');">
																												<xsl:value-of select="concat(@name, self::node()[not(@name)])" />
																											</a>
																										</span>
																									</li>
																								</xsl:for-each>
																							</ul>
																						</xsl:if>
																					</li>
																				</xsl:for-each>
																			</ul>
																		</xsl:if>
																	</li>
																</xsl:for-each>
															</ul>
														</xsl:if>
													</li>
												</xsl:for-each>
											</ul>
										</xsl:if>
									</li>
								</xsl:for-each>
							</ul>
						</out:for-each>
					</div>
					<div class="formElement">
						<span class="defaultBackground" id="selected_tree_item_container">
							<input class="defaultTextBox" id="selected_tree_item" name="selected_tree_item" onchange="return selected_tree_itemonchange((typeof(event) != 'undefined') ? event : arguments[0]);" type="hidden" value="" />
							<input name="selected_tree_item_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:selected_tree_item" />
						</span>
					</div>
				</div>
				<div class="controlContainer labelLeft">
					<div class="controlRow">
						<span class="defaultBackground" id="button_container">
							<input id="button_submit_button" name="xgate_action_back" type="submit" value="Back" />
							<span id="button_temp_container" style="display:none; visibility:hidden;">
								<input class="button" id="button" name="button" onclick="return buttononclick((typeof(event) != 'undefined') ? event : arguments[0]);" type="button" value="Back">
									<out:attribute name="data-wm-disable-class">
										<out:text>button disabledButton </out:text>
									</out:attribute>
								</input>
							</span>
							<script type="text/javascript">
								<out:text disable-output-escaping="yes">document.getElementById('</out:text>
								<out:text disable-output-escaping="yes">button_submit_button').parentNode.innerHTML=document.getElementById('</out:text>
								<out:text disable-output-escaping="yes">button_temp_container').innerHTML;</out:text>
							</script>
						</span>
					</div>
				</div>
			</form>
		</div>
</xform:xform>		<script type="text/javascript" xmlns="">
			<out:text disable-output-escaping="yes">

            /*
             * Do NOT edit or add to the following script.
             * It will be recreated each time the page is regenerated!
             * Instead use the Application Map screen to add an external
             * script file to your page, and place your code in there.
             */

            hyf.validation.config =
            {
                form: document.TreeDisplay,
                errorDisplayMethod: 'tooltip',
                errorDisplayMessageClass: 'errorIcon',
                errorDisplayShowMessage: true,
                errorDisplayShowAlerts: false,
                errorDisplayValidationMode: 'all',
                mandatoryMarker: {
                    content: ' * ',
                    location: 'after_label',
                    className: 'mandatory',
                    style: ''
                    }
            }
        			</out:text>
<xsl:for-each select="." xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc">			<out:for-each select="/mvc:eForm/mvc:Data/departments">
				<out:variable name="tree_data_contextLoopEntry" select="." />
				<out:variable name="tree_data_contextLoopCount">
					<out:text>tree_data_context</out:text>
					<out:value-of select="position()" />
				</out:variable>
			</out:for-each>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>selected_tree_item</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>button</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_validate', 'false');</out:text>
<xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
                    hyf.hooks.contentInserted(document.body);
            function selected_tree_itemonchange(e)
            {
                var evt = (window.event) ? window.event : e;
                var sourceComponent = null;
                if ((evt != null) &amp;&amp; (typeof(evt) != 'undefined'))
                {
                    sourceComponent = (evt.target) ? evt.target : evt.srcElement;
                    if ((sourceComponent != null) &amp;&amp; (sourceComponent.nodeType == 3)) // defeat Safari bug
                        sourceComponent = sourceComponent.parentNode;
                }
                var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent, value: 'selected_tree_item', field: document.getElementById('selected_tree_item')};

                return dojo.hitch(objEventSource.field, function(){
                    var objMessage = {name: 'Message', multiple: true, value: [{option: 'Static', value: 'You selected '}, {option: 'PageField', value: 'selected_tree_item'}]};
                    hyf.FMAction.handleAlert(objMessage, objEventSource);
                    })();
            }
            
            function buttononclick(e)
            {
                var evt = (window.event) ? window.event : e;
                var sourceComponent = null;
                if ((evt != null) &amp;&amp; (typeof(evt) != 'undefined'))
                {
                    sourceComponent = (evt.target) ? evt.target : evt.srcElement;
                    if ((sourceComponent != null) &amp;&amp; (sourceComponent.nodeType == 3)) // defeat Safari bug
                        sourceComponent = sourceComponent.parentNode;
                }
                var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent, value: 'button', field: document.getElementById('button')};

                return dojo.hitch(objEventSource.field, function(){
                    var objAction = {name: 'Action', option: 'Action', value: 'back'};
                    var objValidate = {name: 'Validate', option: 'Static', value: 'false'};
                    hyf.FMAction.handleFormSubmission(objAction, objValidate, objEventSource);
                    })();
            }
            </xsl:text></xsl:for-each>		</script>
	</out:template>
</out:stylesheet>
